php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #194 Apache module problem with both PHP2 e PHP3
Submitted: 1998-03-25 05:59 UTC Modified: 1998-03-25 08:49 UTC
From: fmal at fmal dot com Assigned: rasmus (profile)
Status: Closed Package: Installation problem
PHP Version: 3.0 Release Cand OS: AIX 3.2.5
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: fmal at fmal dot com
New email:
PHP Version: OS:

 

 [1998-03-25 05:59 UTC] fmal at fmal dot com
When trying to configure Apache 1.3.b5 with both modules
php2.0.1 and php3.0RC, ./Configure fails to sanity check.

I think the problem is in mod_php.module.in from php 2.0.1:

ConfigStart
        RULE_WANTHSREGEX=@HSREGEX@
        LIBS="-Lmodules/extra -L../modules/extra -lphp \
                @LDFLAGS@ @MSQL_LIB@ @MYSQL_LIB@ @SYB_LIB@ \
                @SOLID_LIB@ @ORACLE_LIB@ @PQ_LIB@ @FCGI_LIB@ \
                @HLNK@ @LIBS@ @best_dbm@ @LIBMSQL@ @LIBSYB@ \
                @LIBPQ@ @LIBMYSQL@ @LIBADA@ @LIBSOLID@ @LIBORACLE@ \
                @LIBFCGI@ $LIBS
ConfigEnd

The line @LIBFCGI@ $LIBS
ends without ", so mod_php.module is 
incorrect and when you run the Apache Configuration shell,
it does not work.

I added a " after $LIBS and all is correct.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1998-03-25 08:49 UTC] rasmus
Yes, this has been fixed in the PHP 2.0.1 tree.  I will release 2.0.2 when I get a couple of more cleanup-type things in there.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Tue Nov 30 02:03:13 2021 UTC